---
updatedAt: 2025-08-27T16:18:22.000Z
agentTools:
  projectIndex: https://docs.moneyhubenterprise.com/v2.5/llms.txt
---

# Update a single notification threshold

Requires **accounts:read** and either of **accounts:write** or **accounts:write:all** scopes.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Documentation for the Moneyhub data API. <br/>Authentication is via bearer token. <br/>",
    "title": "Moneyhub Data API",
    "version": "2.0.0"
  },
  "security": [
    {
      "Bearer": []
    }
  ],
  "paths": {
    "/accounts/{accountId}/notification-thresholds/{thresholdId}": {
      "patch": {
        "summary": "Update a single notification threshold",
        "description": "Requires **accounts:read** and either of **accounts:write** or **accounts:write:all** scopes.",
        "parameters": [
          {
            "description": "The Account Id",
            "in": "path",
            "name": "accountId",
            "required": true,
            "example": "0b4e6488-6de0-420c-8f56-fee665707d57",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "description": "The Threshold Id",
            "in": "path",
            "name": "thresholdId",
            "required": true,
            "example": "199cae84-6876-4dc6-b905-9de7593be6d0",
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/NotificationThresholdPost"
        },
        "responses": {
          "200": {
            "description": "Successful Notification Threshold Response",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "data": {
                      "$ref": "#/components/schemas/NotificationThreshold"
                    },
                    "meta": {
                      "type": "object"
                    }
                  },
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Unsuccessful Response - Bad request - Missing query parameters - Missing body properties",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unsuccessful Notification Threshold Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Unsuccessful Response - Forbidden - Invalid scopes",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "404": {
            "description": "Unsuccessful Response - Resource Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "tags": [
          "notification thresholds"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api.moneyhub.co.uk/v2.0"
    }
  ],
  "components": {
    "requestBodies": {
      "NotificationThresholdPost": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/NotificationThresholdPost"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "NotificationThreshold": {
        "additionalProperties": false,
        "type": "object",
        "properties": {
          "id": {
            "description": "The id of the threshold, used to update and delete it",
            "example": "199cae84-6876-4dc6-b905-9de7593be6d0",
            "type": "string"
          },
          "value": {
            "description": "The value of the threshold in minor units of the currency, eg. pennies for GBP.",
            "example": 10000,
            "type": "integer"
          },
          "type": {
            "description": "The type of threshold, either great than or less than",
            "enum": [
              "gt",
              "lt"
            ],
            "example": "lt",
            "type": "string"
          }
        }
      },
      "NotificationThresholdPost": {
        "additionalProperties": false,
        "type": "object",
        "properties": {
          "value": {
            "description": "The value of the threshold in minor units of the currency, eg. pennies for GBP.",
            "example": 10000,
            "type": "integer"
          },
          "type": {
            "description": "The type of threshold, either great than or less than",
            "enum": [
              "gt",
              "lt"
            ],
            "example": "lt",
            "type": "string"
          }
        },
        "required": [
          "value",
          "type"
        ]
      },
      "Error": {
        "additionalProperties": false,
        "properties": {
          "code": {
            "description": "The error code",
            "type": "string"
          },
          "message": {
            "description": "The error message",
            "type": "string"
          },
          "correlationId": {
            "description": "Id that identifies the request and can be used to ask for more details related to the error",
            "type": "string"
          },
          "id": {
            "description": "Id of the resource",
            "type": "string"
          },
          "userId": {
            "description": "UserId of the resource",
            "type": "string"
          }
        },
        "required": [
          "code"
        ],
        "type": "object"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```